DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# RandomSeed

Random seed function

## SYNOPSIS

`#include "dip_noise.h"`

dip_Error dip_RandomSeed ( random, seedval )

## FUNCTION

Initializes a `dip_Random` structure with a given seed value.

## ARGUMENTS

Data type | Name | Description
`dip_Random *` | `random` | Pointer to a random value structure
`dip_uint32` | `seedval` | Seed value

## EXAMPLE

Initialize a `dip_Random` structure as follows:

       dip_Random random;
       dip_uint32 seed;

       seed = 123758;
       DIPXX(dip_RandomSeed( &random, seed ));

## SEE ALSO

`RandomVariable`, `UniformRandomVariable`, `GaussianRandomVariable`, `PoissonRandomVariable`, `BinaryRandomVariable`

DIPlib on-line documentation | Function reference | Global function index